--set statistics time off
--declare @SalesOrderID int = RAND(CHECKSUM(NEWID())) * 32000 + 43659

--exec AdventureWorks2012_HDD.dbo.GetOrderInfo 44747
--exec AdventureWorks2012_HDD.dbo.GetOrderInfo2 44747
exec AdventureWorks2012_MEM.dbo.GetOrderInfo_mem 44747
go 100000

-- 38 - mem
-- 46 - hdd
-- 40 - hdd + nolock
-- 45 - hdd + nolock + no computed columns

declare @SalesOrderID int = 44749
	SELECT *
	FROM Sales.SalesOrderHeader soh
    JOIN Sales.SalesOrderDetail_mem sod ON
		soh.SalesOrderID = sod.SalesOrderID
	WHERE soh.SalesOrderID = @SalesOrderID

exec AdventureWorks2012_HDD.dbo.ReportByProduct
go 100
exec AdventureWorks2012_MEM.dbo.ReportByProduct_mem
go 100

/*
Msg 41396, Level 16, State 0, Procedure ReportByProduct_mem, Line 29
The number of rows to be sorted in this query exceeds the limit 8000. Reduce the number of rows selected or the number of JOINs in the query.
*/

SELECT ProductID, COUNT(*) as RecordsCount, SUM(LineTotal) as LineTotal
	FROM Sales.SalesOrderDetail_mem --with (snapshot)
	GROUP BY ProductID
go 100 -- 8

SELECT ProductID, COUNT(*) as RecordsCount, SUM(LineTotal) as LineTotal
	FROM Sales.SalesOrderDetail
	GROUP BY ProductID
go 100 -- 11
