USE [AdventureWorks2012_MEM]
GO

/****** Object:  Table [Sales].[SalesOrderHeader_mem]    Script Date: 10/8/2013 11:18:32 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [Sales].[SalesOrderHeader_mem](
	[SalesOrderID] [int] NOT NULL primary key nonclustered hash with (bucket_count=32000),
	[RevisionNumber] [tinyint] NOT NULL,
	[OrderDate] [datetime] NOT NULL,
	[DueDate] [datetime] NOT NULL,
	[ShipDate] [datetime] NULL,
	[Status] [tinyint] NOT NULL,
	[OnlineOrderFlag] bit NOT NULL,
	[SalesOrderNumber]  nvarchar(25) not null,
	[PurchaseOrderNumber] nvarchar(25) NULL,
	[AccountNumber] nvarchar(15) NULL,
	[CustomerID] [int] NOT NULL,
	[SalesPersonID] [int] NULL,
	[TerritoryID] [int] NULL,
	[BillToAddressID] [int] NOT NULL,
	[ShipToAddressID] [int] NOT NULL,
	[ShipMethodID] [int] NOT NULL,
	[CreditCardID] [int] NULL,
	[CreditCardApprovalCode] [varchar](15) NULL,
	[CurrencyRateID] [int] NULL,
	[SubTotal] [money] NOT NULL,
	[TaxAmt] [money] NOT NULL,
	[Freight] [money] NOT NULL,
	[TotalDue] money,
	[Comment] [nvarchar](128) NULL,
	[rowguid] [uniqueidentifier],
	[ModifiedDate] [datetime] NOT NULL
) WITH (MEMORY_OPTIMIZED=ON)
GO

/*
insert into [Sales].[SalesOrderHeader_mem]
select * from [Sales].[SalesOrderHeader]
*/

CREATE TABLE [Sales].[SalesOrderDetail_mem](
	[SalesOrderID] [int] NOT NULL index ix_SalesOrderID  nonclustered hash with (bucket_count=32000),
	[SalesOrderDetailID] [int] NOT NULL,
	[CarrierTrackingNumber] [nvarchar](25) NULL,
	[OrderQty] [smallint] NOT NULL,
	[ProductID] [int] NOT NULL,
	[SpecialOfferID] [int] NOT NULL,
	[UnitPrice] [money] NOT NULL,
	[UnitPriceDiscount] [money] NOT NULL,
	[LineTotal] numeric(38,6),
	[rowguid] [uniqueidentifier] not null primary key nonclustered hash with (bucket_count=64000),
	[ModifiedDate] [datetime] NOT NULL,
) WITH (MEMORY_OPTIMIZED=ON)
GO

/*
insert into [Sales].[SalesOrderDetail_mem]
select * from [Sales].[SalesOrderDetail]
*/